Package wx :: Package lib :: Package agw :: Module labelbook :: Class ImageContainer

[frames | no frames]

## Type ImageContainer

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
            ImageContainerBase --+
                                 |
                                ImageContainer

Base class for FlatImageBook image container.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| ``CanDoBottomStyle`(self)` Allows the parent to examine the children type.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for ImageContainer.
| ``OnMouseLeaveWindow`(self, event)` Handles the wx.EVT_LEAVE_WINDOW event for ImageContainer.
| ``OnMouseLeftDown`(self, event)` Handles the wx.EVT_LEFT_DOWN event for ImageContainer.
| ``OnMouseLeftUp`(self, event)` Handles the wx.EVT_LEFT_UP event for ImageContainer.
| ``OnMouseMove`(self, event)` Handles the wx.EVT_MOTION event for ImageContainer.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for ImageContainer.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for ImageContainer.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='ImageContainer')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.__init__`

### CanDoBottomStyle(self)

Allows the parent to examine the children type. Some implementation (such as LabelBook), does not support top/bottom images, only left/right.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.CanDoBottomStyle`

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnEraseBackground`

### OnMouseLeaveWindow(self, event)

Handles the wx.EVT_LEAVE_WINDOW event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeaveWindow`

### OnMouseLeftDown(self, event)

Handles the wx.EVT_LEFT_DOWN event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeftDown`

### OnMouseLeftUp(self, event)

Handles the wx.EVT_LEFT_UP event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseLeftUp`

### OnMouseMove(self, event)

Handles the wx.EVT_MOTION event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnMouseMove`

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for ImageContainer.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for ImageContainer.

  Overrides:
    `wx.lib.agw.labelbook.ImageContainerBase.OnSize`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:09 2009 | http://epydoc.sf.net